-- UPDATE Features SET RemoveTech="TECH_METAL_CASTING" WHERE FeatureType="FEATURE_JUNGLE";

INSERT INTO `Resource_Harvests` 
	(`ResourceType`, `YieldType`, `Amount`, `PrereqTech`)
VALUES 
	('RESOURCE_CITRUS',         'YIELD_FOOD',       '50', 'TECH_IRRIGATION'),
	('RESOURCE_COCOA',          'YIELD_FOOD',       '50', 'TECH_IRRIGATION'),
	('RESOURCE_COFFEE',         'YIELD_FOOD',       '50', 'TECH_IRRIGATION'),
	('RESOURCE_COTTON',         'YIELD_GOLD',       '50', 'TECH_IRRIGATION'),
	('RESOURCE_DIAMONDS',       'YIELD_GOLD',       '50', 'TECH_MINING'),
	('RESOURCE_DYES',           'YIELD_GOLD',       '50', 'TECH_POTTERY'),
	('RESOURCE_FURS',           'YIELD_GOLD',       '50', 'TECH_ANIMAL_HUSBANDRY'),
	('RESOURCE_GYPSUM',         'YIELD_PRODUCTION', '50', 'TECH_MASONRY'),
	('RESOURCE_INCENSE',        'YIELD_GOLD',       '50', 'TECH_POTTERY'),
	('RESOURCE_IVORY',          'YIELD_GOLD',       '50', 'TECH_ANIMAL_HUSBANDRY'),
	('RESOURCE_JADE',           'YIELD_GOLD',       '50', 'TECH_MINING'),
	('RESOURCE_MARBLE',         'YIELD_GOLD',       '50', 'TECH_MINING'),
	('RESOURCE_MERCURY',        'YIELD_PRODUCTION', '50', 'TECH_MINING'),
	('RESOURCE_PEARLS',         'YIELD_GOLD',       '50', 'TECH_CELESTIAL_NAVIGATION'),
	('RESOURCE_SALT',           'YIELD_GOLD',       '50', 'TECH_MINING'),
	('RESOURCE_SILK',           'YIELD_GOLD',       '50', 'TECH_ANIMAL_HUSBANDRY'),
	('RESOURCE_SILVER',         'YIELD_GOLD',       '50', 'TECH_MINING'),
	('RESOURCE_SPICES',         'YIELD_GOLD',       '50', 'TECH_POTTERY'),
	('RESOURCE_SUGAR',          'YIELD_FOOD',       '50', 'TECH_IRRIGATION'),
	('RESOURCE_TEA',            'YIELD_FOOD',       '50', 'TECH_IRRIGATION'),
	('RESOURCE_TOBACCO',        'YIELD_GOLD',       '50', 'TECH_IRRIGATION'),
	('RESOURCE_TRUFFLES',       'YIELD_GOLD',       '50', 'TECH_ANIMAL_HUSBANDRY'),
	('RESOURCE_WHALES',         'YIELD_FOOD',       '50', 'TECH_CELESTIAL_NAVIGATION'),
	('RESOURCE_WINE',           'YIELD_FOOD',       '50', 'TECH_IRRIGATION'),
	('RESOURCE_ALUMINUM',       'YIELD_PRODUCTION', '50', 'TECH_ADVANCED_FLIGHT'),
	('RESOURCE_COAL',           'YIELD_PRODUCTION', '50', 'TECH_STEAM_POWER'),
	('RESOURCE_HORSES',         'YIELD_FOOD',       '50', 'TECH_ANIMAL_HUSBANDRY'),
	('RESOURCE_IRON',           'YIELD_PRODUCTION', '50', 'TECH_BRONZE_WORKING'),
	('RESOURCE_NITER',          'YIELD_PRODUCTION', '50', 'TECH_GUNPOWDER'),
	('RESOURCE_OIL',            'YIELD_PRODUCTION', '50', 'TECH_COMBUSTION'),
	('RESOURCE_URANIUM',        'YIELD_GOLD', 		'50', 'TECH_NUCLEAR_FISSION'),
	('RESOURCE_ANTIQUITY_SITE', 'YIELD_GOLD',       '50', 'TECH_MINING'),
	('RESOURCE_SHIPWRECK',      'YIELD_GOLD',       '50', 'TECH_CELESTIAL_NAVIGATION');

--Valid Terrains
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_ALUMINUM', 'TERRAIN_GRASS_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_ALUMINUM', 'TERRAIN_PLAINS_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_ALUMINUM', 'TERRAIN_TUNDRA_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_ALUMINUM', 'TERRAIN_SNOW_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_CATTLE', 'TERRAIN_PLAINS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_CATTLE', 'TERRAIN_TUNDRA');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_CATTLE', 'TERRAIN_TUNDRA_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_CATTLE', 'TERRAIN_PLAINS_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_CATTLE', 'TERRAIN_DESERT_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_CATTLE', 'TERRAIN_GRASS_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_CITRUS', 'TERRAIN_PLAINS_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_CITRUS', 'TERRAIN_DESERT');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_COAL', 'TERRAIN_PLAINS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_COAL', 'TERRAIN_TUNDRA_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_COFFEE', 'TERRAIN_PLAINS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_COFFEE', 'TERRAIN_PLAINS_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_COPPER', 'TERRAIN_PLAINS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_COTTON', 'TERRAIN_DESERT');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_DIAMONDS', 'TERRAIN_DESERT');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_HORSES', 'TERRAIN_DESERT');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_HORSES', 'TERRAIN_TUNDRA');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_HORSES', 'TERRAIN_PLAINS_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_INCENSE', 'TERRAIN_DESERT_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_INCENSE', 'TERRAIN_PLAINS_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_IRON', 'TERRAIN_PLAINS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_JADE', 'TERRAIN_TUNDRA_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_JADE', 'TERRAIN_PLAINS_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_JADE', 'TERRAIN_DESERT_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_JADE', 'TERRAIN_GRASS_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_MERCURY', 'TERRAIN_TUNDRA');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_MERCURY', 'TERRAIN_DESERT');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_MERCURY', 'TERRAIN_DESERT_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_NITER', 'TERRAIN_PLAINS_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_OIL', 'TERRAIN_TUNDRA_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_OIL', 'TERRAIN_GRASS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_OIL', 'TERRAIN_PLAINS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_OIL', 'TERRAIN_OCEAN');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_SALT', 'TERRAIN_DESERT_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_SHEEP', 'TERRAIN_PLAINS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_SILVER', 'TERRAIN_GRASS_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_SILVER', 'TERRAIN_PLAINS_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_STONE', 'TERRAIN_PLAINS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_STONE', 'TERRAIN_PLAINS_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_STONE', 'TERRAIN_DESERT');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_STONE', 'TERRAIN_DESERT_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_STONE', 'TERRAIN_TUNDRA_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_SUGAR', 'TERRAIN_PLAINS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_SUGAR', 'TERRAIN_GRASS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_TEA', 'TERRAIN_PLAINS_HILLS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_WHALES', 'TERRAIN_OCEAN');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_WHEAT', 'TERRAIN_GRASS');
INSERT OR REPLACE INTO Resource_ValidTerrains (ResourceType, TerrainType) VALUES ('RESOURCE_WHEAT', 'TERRAIN_PLAINS_HILLS');

--Valid Features
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_ALUMINUM', 'FEATURE_FOREST');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_ALUMINUM', 'FEATURE_JUNGLE');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_CATTLE', 'FEATURE_MARSH');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_CITRUS', 'FEATURE_FOREST');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_CITRUS', 'FEATURE_JUNGLE');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_COAL', 'FEATURE_FOREST');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_COAL', 'FEATURE_JUNGLE');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_COFFEE', 'FEATURE_FOREST');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_COPPER', 'FEATURE_FOREST');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_COPPER', 'FEATURE_JUNGLE');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_DEER', 'FEATURE_MARSH');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_DIAMONDS', 'FEATURE_FOREST');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_GYPSUM', 'FEATURE_FOREST');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_INCENSE', 'FEATURE_JUNGLE');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_IRON', 'FEATURE_FOREST');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_IRON', 'FEATURE_JUNGLE');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_IVORY', 'FEATURE_MARSH');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_JADE', 'FEATURE_JUNGLE');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_JADE', 'FEATURE_FOREST');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_NITER', 'FEATURE_MARSH');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_NITER', 'FEATURE_FOREST');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_NITER', 'FEATURE_JUNGLE');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_OIL', 'FEATURE_FOREST');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_OIL', 'FEATURE_JUNGLE');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_SALT', 'FEATURE_FLOODPLAINS');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_SALT', 'FEATURE_MARSH');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_SILVER', 'FEATURE_FOREST');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_STONE', 'FEATURE_FLOODPLAINS');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_STONE', 'FEATURE_FOREST');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_STONE', 'FEATURE_JUNGLE');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_SUGAR', 'FEATURE_JUNGLE');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_TEA', 'FEATURE_FOREST');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_TEA', 'FEATURE_MARSH');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_WHEAT', 'FEATURE_MARSH');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_WHEAT', 'FEATURE_CLIFFS_DOVER');
INSERT OR REPLACE INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_HORSES', 'FEATURE_CLIFFS_DOVER');

--Must remove feature
UPDATE Improvement_ValidResources SET MustRemoveFeature='0' 
WHERE ResourceType ='RESOURCE_SILVER' 
OR ResourceType = 'RESOURCE_IRON' 
OR ResourceType ='RESOURCE_JADE' 
OR ResourceType ='RESOURCE_SALT' 
OR ResourceType ='RESOURCE_COPPER' 
OR ResourceType ='RESOURCE_STONE' 
OR ResourceType ='RESOURCE_CATTLE' 
OR ResourceType ='RESOURCE_WHEAT' 
OR ResourceType ='RESOURCE_GYPSUM' 
OR ResourceType ='RESOURCE_MARBLE' 
OR ResourceType ='RESOURCE_SHEEP' 
OR ResourceType ='RESOURCE_PEARLS'
OR ResourceType ='RESOURCE_HORSES'
OR ResourceType ='RESOURCE_CRABS';

--No river requirement in Worldbuilder
UPDATE Resources SET NoRiver='0' 
WHERE ResourceType ='RESOURCE_COPPER'
OR ResourceType ='RESOURCE_IRON'
OR ResourceType ='RESOURCE_ALUMINUM'
OR ResourceType ='RESOURCE_COAL'
OR ResourceType ='RESOURCE_MARBLE'
OR ResourceType ='RESOURCE_DEER';